/* eslint valid-jsdoc: "off" */

'use strict';

/**
 * @param {Egg.EggAppInfo} appInfo app info
 */
module.exports = appInfo => {
  /**
   * built-in config
   * @type {Egg.EggAppConfig}
   **/
  const config = exports = {};

  // use for cookie sign key, should change to your own and keep security
  config.keys = appInfo.name + '_1624959227229_4804';

  // add your middleware config here
  config.middleware = [];

  // add your user config here
  const userConfig = {
    // myAppName: 'egg',
  };
  config.cluster = {
    listen: {
      port: 19999,
    },
  };

  config.amqp = {
    client: {
      hostname: '127.0.0.1',
      username: 'visit',
      password: 'visit',
      vhost: 'platform',
    },
    app: true,
    agent: true,
  };

  config.redis = {
    client: {
      port: 6379, // Redis port
      host: '127.0.0.1', // Redis host
      password: '123456',
      db: 3,
    },
  };
  // 服务器发布路径
  config.baseUrl = 'http://broadcast.waityou24.cn';
  config.wxapi = {
    baseUrl: 'http://wx.cc-lotus.info', // 微信网关地址
    kjzl: {
      appid: 'wxcf1b5457939b0932',
      appSecret: 'f9a947c4a11f5304fc0bcabef98093d8',
    },
    jlstcompany: {
      appid: 'wx696d9dc3f5c25e42',
      appSecret: 'b794494632f448f56a6e722f57b42bc9',
    },
    jlstcoupons: {
      appid: 'wxc98fa7131638a37c',
      appSecret: 'f55f1734ee919a8e4eac64aea67f350a',
    },
    free: {
      appid: 'wxdf3ed83c095be97a',
      appSecret: 'd85dbe075c090cb12ce416bbda8e698c',
    },
  };

  return {
    ...config,
    ...userConfig,
  };
};
