'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;
  router.get('/', controller.home.index);
  router.get('/wxgateway/wxlogin/:site', controller.weixin.auth);
  router.get('/wxgateway/authBack', controller.weixin.authBack);
  router.get('/wxgateway/wxuser/:site', controller.weixin.wxUser);
};
